<?php

/***************************************************************************************
 *                                                                                     *
 * This file is part of the XPertMailer package (http://xpertmailer.sourceforge.net/)  *
 *                                                                                     *
 * XPertMailer is free software; you can redistribute it and/or modify it under the    *
 * terms of the GNU General Public License as published by the Free Software           *
 * Foundation; either version 2 of the License, or (at your option) any later version. * 
 *                                                                                     *
 * XPertMailer is distributed in the hope that it will be useful, but WITHOUT ANY      *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A     *
 * PARTICULAR PURPOSE.  See the GNU General Public License for more details.           *
 *                                                                                     *
 * You should have received a copy of the GNU General Public License along with        *
 * XPertMailer; if not, write to the Free Software Foundation, Inc., 51 Franklin St,   *
 * Fifth Floor, Boston, MA  02110-1301  USA                                            *
 *                                                                                     *
 * XPertMailer php functions class. Sends e-mail message in MIME type format.          *
 * Copyright (C) 2006  Tanase Laurentiu Iulian                                         *
 *                                                                                     *
 ***************************************************************************************/

set_time_limit(0);
error_reporting(E_ALL); // optional for debugging

// path to XPertMailer class file
require_once '../XPertMailer.php';

/**
 * send mail - text/plain format
 * with two attachment files
 * --------------------------------------
 */

// you can optionaly send the e-mail directly to client
$mail = new XPertMailer(SMTP_CLIENT);

// set attachment files name
// if the file is not in this directory, write the path name (/path/name.file_extension)
$file[] = 'image1.jpg';
$file[] = 'archive1.zip';

// attach files to the mail
$mail->attach($file);

// set from mail address
$mail->from('my@account.com');

// send the e-mail
$send = $mail->send('expertphp@example.com', 'subject here', 'text here'.CRLF.'new line');

// compare the result and print a message
echo $send ? "Done." : "Error.";

?>